/*!
 * Glide.js
 * Version: 2.0.2
 * Simple, lightweight and fast jQuery slider
 * Author: @jedrzejchalubek
 * Site: http://http://glide.jedrzejchalubek.com/
 * Licensed under the MIT license
 */

!function(a,b,c,d){var e=function(a,b){function c(){}return c.prototype.make=function(b){return this.offset="undefined"!=typeof b?b:0,this[a.options.type](),this},c.prototype.after=function(b){return setTimeout(function(){b()},a.options.animationDuration+20)},c.prototype.slider=function(){var c=a.current*a.width-(a.width+this.offset);a.track.css({transition:b.Transition.get("all"),transform:b.Translate.set("x",c)}),b.Run.isStart()?b.Arrows.disable("prev"):b.Run.isEnd()?b.Arrows.disable("next"):b.Arrows.enable()},c.prototype.carousel=function(){var c;b.Run.isOffset("<")?(c=0-this.offset,b.Run.flag=!1,this.after(function(){a.track.css({transition:b.Transition.clear("all"),transform:b.Translate.set("x",a.length*a.width)})})):b.Run.isOffset(">")?(c=a.length*a.width+(a.width-this.offset),b.Run.flag=!1,this.after(function(){a.track.css({transition:b.Transition.clear("all"),transform:b.Translate.set("x",a.width)})})):c=a.current*a.width-this.offset,a.track.css({transition:b.Transition.get("all"),transform:b.Translate.set("x",c)})},c.prototype.slideshow=function(c){a.slides.css("transition",b.Transition.get("opacity")).eq(a.current-1).css("opacity","1").siblings().css("opacity",0)},new c},f=function(a,b){function c(){}return c.prototype.instance=function(){return{current:function(){return a.current},go:function(a,c){return b.Run.make(a,c)},jump:function(a,c){return b.Transition.jumping=!0,b.Animation.after(function(){b.Transition.jumping=!1}),b.Run.make(a,c)},start:function(c){return b.Run.running=!0,a.options.autoplay=parseInt(c),b.Run.play()},play:function(){return b.Run.play()},pause:function(){return b.Run.pause()},destroy:function(){b.Events.unbind(),b.Touch.unbind(),b.Arrows.unbind(),b.Bullets.unbind(),a.slider.removeData("glide_api"),delete a.slider,delete a.track,delete a.slides,delete a.width,delete a.length},refresh:function(){b.Build.removeClones(),a.collect(),a.setup(),b.Build.init()}}},new c},g=function(b,c){function d(){this.build(),this.bind()}return d.prototype.build=function(){this.wrapper=b.slider.children("."+b.options.classes.arrows),this.items=this.wrapper.children()},d.prototype.disable=function(a){return this.items.filter("."+b.options.classes["arrow"+c.Helper.capitalise(a)]).unbind("click.glide touchstart.glide").addClass(b.options.classes.disabled).siblings().removeClass(b.options.classes.disabled).end()},d.prototype.enable=function(){return this.bind(),this.items.removeClass(b.options.classes.disabled)},d.prototype.bind=function(){return this.items.on("click.glide touchstart.glide",function(b){b.preventDefault(),c.Events.disabled||(c.Run.pause(),c.Run.make(a(this).data("glide-dir")),c.Animation.after(function(){c.Run.play()}))})},d.prototype.unbind=function(){return this.items.off("click.glide touchstart.glide")},new d},h=function(a,b){function c(){this.init()}return c.prototype.init=function(){b.Height.set(),this[a.options.type](),this.active(),b.Bullets.active()},c.prototype.removeClones=function(){return a.track.find(".clone").remove()},c.prototype.isType=function(b){return a.options.type===b},c.prototype.slider=function(){b.Run.isStart()&&b.Arrows.disable("prev"),b.Run.isEnd()&&b.Arrows.disable("next"),a.track.css({width:a.width*a.length,transform:b.Translate.set("x",a.width*(a.current-1))}),a.slides.width(a.width)},c.prototype.carousel=function(){a.track.append(a.clones[0].width(a.width)).prepend(a.clones[1].width(a.width)).css({width:a.width*a.length+2*a.width,transform:b.Translate.set("x",a.width*a.current)}),a.slides.width(a.width)},c.prototype.slideshow=function(){a.slides.eq(a.current-1).css("opacity",1).siblings().css("opacity",0)},c.prototype.active=function(){a.slides.eq(a.current-1).addClass(a.options.classes.active).siblings().removeClass(a.options.classes.active)},new c},i=function(b,c){function d(){this.build(),this.bind()}return d.prototype.build=function(){this.wrapper=b.slider.children("."+b.options.classes.bullets);for(var c=1;c<=b.length;c++)a("<li>",{"class":b.options.classes.bullet,"data-glide-dir":"="+c}).appendTo(this.wrapper);this.items=this.wrapper.children()},d.prototype.active=function(){c.Bullets.items.eq(b.current-1).addClass("active").siblings().removeClass("active")},d.prototype.bind=function(){this.items.on("click.glide touchstart.glide",function(b){b.preventDefault(),c.Events.disabled||(c.Run.pause(),c.Run.make(a(this).data("glide-dir")),c.Animation.after(function(){c.Run.play()}))})},d.prototype.unbind=function(){this.items.off("click.glide touchstart.glide")},new d},j=function(a,b){function c(){for(var c in b)this[c]=new b[c](a,this)}return new c},k=function(c,d){function e(){this.disabled=!1,this.anchors=c.track.find("a"),this.keyboard(),this.hoverpause(),this.resize(),this.triggers()}return e.prototype.keyboard=function(){c.options.keyboard&&a(b).on("keyup.glide",function(a){39===a.keyCode&&d.Run.make(">"),37===a.keyCode&&d.Run.make("<")})},e.prototype.hoverpause=function(){c.options.hoverpause&&c.track.on("mouseover.glide",function(){d.Run.pause()}).on("mouseout.glide",function(){d.Run.play()})},e.prototype.resize=function(){a(b).on("resize",this.throttle(function(){d.Transition.jumping=!0,d.Run.pause(),c.setup(),d.Build.init(),d.Run.make("="+c.current),d.Run.play(),d.Transition.jumping=!1},c.options.throttle))},e.prototype.triggers=function(){this.triggers=a("[data-glide-trigger]"),this.triggers.length&&this.triggers.off("click.glide touchstart.glide").on("click.glide touchstart.glide",function(b){if(b.preventDefault(),!d.Events.disabled){var c=a(a(this).data("glide-trigger")).data("glide_api");c.pause(),c.go(a(this).data("glide-dir")),c.play()}})},e.prototype.disable=function(){return this.disabled=!0,this},e.prototype.enable=function(){return this.disabled=!1,this},e.prototype.detachClicks=function(){return this.anchors.off("click")},e.prototype.preventClicks=function(a){return this.anchors.one("click",function(a){a.preventDefault()})},e.prototype.call=function(a){return"undefined"!==a&&"function"==typeof a&&a(c.current,c.slides.eq(c.current-1)),this},e.prototype.unbind=function(){c.track.off("keyup.glide").off("mouseover.glide").off("mouseout.glide"),this.triggers.off("click.glide touchstart.glide"),a(b).off("keyup.glide").off("resize.glide")},e.prototype.throttle=function(a,b,c){var e,f,g,h=null,i=0;c||(c={});var j=function(){i=c.leading===!1?0:d.Helper.now(),h=null,g=a.apply(e,f),h||(e=f=null)};return function(){var k=d.Helper.now();i||c.leading!==!1||(i=k);var l=b-(k-i);return e=this,f=arguments,0>=l||l>b?(h&&(clearTimeout(h),h=null),i=k,g=a.apply(e,f),h||(e=f=null)):h||c.trailing===!1||(h=setTimeout(j,l)),g}},new e},l=function(a,b){function c(){a.options.autoheight&&a.wrapper.css({transition:b.Transition.get("height")})}return c.prototype.get=function(){return a.slides.eq(a.current-1).height()},c.prototype.set=function(b){return a.options.autoheight||b?a.wrapper.height(this.get()):!1},new c},m=function(a,b){function c(){}return c.prototype.capitalise=function(a){return a.charAt(0).toUpperCase()+a.slice(1)},c.prototype.now=Date.now||function(){return(new Date).getTime()},new c},n=function(a,b){function c(){this.running=!1,this.flag=!1,this.play()}return c.prototype.play=function(){var b=this;return(a.options.autoplay||this.running)&&"undefined"==typeof this.interval&&(this.interval=setInterval(function(){b.make(">")},a.options.autoplay)),this.interval},c.prototype.pause=function(){return(a.options.autoplay||this.running)&&this.interval>=0&&(this.interval=clearInterval(this.interval)),this.interval},c.prototype.isStart=function(){return 1===a.current},c.prototype.isEnd=function(){return a.current===a.length},c.prototype.isOffset=function(a){return this.flag&&this.direction===a},c.prototype.make=function(c,d){var e=this;switch(this.direction=c.substr(0,1),this.steps=c.substr(1)?c.substr(1):0,a.options.hoverpause||this.pause(),b.Events.disable().call(a.options.beforeTransition),this.direction){case">":this.isEnd()?(a.current=1,this.flag=!0):">"===this.steps?a.current=a.length:a.current=a.current+1;break;case"<":this.isStart()?(a.current=a.length,this.flag=!0):"<"===this.steps?a.current=1:a.current=a.current-1;break;case"=":a.current=parseInt(this.steps)}b.Height.set(),b.Bullets.active(),b.Animation.make().after(function(){b.Build.active(),b.Events.enable().call(d).call(a.options.afterTransition),a.options.hoverpause||e.play()})},new c},o=function(b,c){function d(){this.dragging=!1,b.options.touchDistance&&b.slides.on({"touchstart.glide":a.proxy(this.start,this)}),b.options.dragDistance&&b.slides.on({"mousedown.glide":a.proxy(this.start,this)})}return d.prototype.unbind=function(){b.track.off("touchstart.glide mousedown.glide").off("touchmove.glide mousemove.glide").off("touchend.glide touchcancel.glide mouseup.glide mouseleave.glide")},d.prototype.start=function(d){if(d.preventDefault(),d.stopPropagation(),!c.Events.disabled&&!this.dragging){c.Transition.jumping=!0,c.Events.detachClicks(),c.Run.pause();var e;e="mousedown"===d.type?d.originalEvent:d.originalEvent.touches[0]||d.originalEvent.changedTouches[0],this.touchStartX=parseInt(e.pageX),this.touchStartY=parseInt(e.pageY),this.touchSin=null,this.dragging=!0,b.track.on({"touchmove.glide mousemove.glide":c.Events.throttle(a.proxy(this.move,this),b.options.throttle),"touchend.glide touchcancel.glide mouseup.glide mouseleave.glide":a.proxy(this.end,this)})}},d.prototype.move=function(a){if(!c.Events.disabled&&this.dragging){c.Events.preventClicks();var d;d="mousemove"===a.type?a.originalEvent:a.originalEvent.touches[0]||a.originalEvent.changedTouches[0];var e=parseInt(d.pageX)-this.touchStartX,f=parseInt(d.pageY)-this.touchStartY,g=Math.abs(e<<2),h=Math.abs(f<<2),i=Math.sqrt(g+h),j=Math.sqrt(h);if(this.touchSin=Math.asin(j/i),!(180*this.touchSin/Math.PI<45))return void(this.dragging=!1);a.stopPropagation(),a.preventDefault(),b.track.addClass(b.options.classes.dragging),c.Animation.make(e)}},d.prototype.end=function(a){if(!c.Events.disabled&&this.dragging){c.Transition.jumping=!1,this.dragging=!1,c.Events.disable(),b.track.removeClass(b.options.classes.dragging);var d;d="mouseup"===a.type||"mouseleave"===a.type?a.originalEvent:a.originalEvent.touches[0]||a.originalEvent.changedTouches[0];var e=d.pageX-this.touchStartX,f=180*this.touchSin/Math.PI;c.Build.isType("slider")&&(c.Run.isStart()&&e>0&&(e=0),c.Run.isEnd()&&0>e&&(e=0)),e>b.options.touchDistance&&45>f?c.Run.make("<"):e<-b.options.touchDistance&&45>f?c.Run.make(">"):c.Animation.make(),c.Animation.after(function(){c.Events.enable(),c.Run.play()}),b.track.off("touchmove.glide mousemove.glide").off("touchend.glide touchcancel.glide mouseup.glide mouseleave.glide")}},new d},p=function(a,b){function c(){this.jumping=!1}return c.prototype.get=function(b){return this.jumping?this.clear("all"):b+" "+a.options.animationDuration+"ms "+a.options.animationTimingFunc},c.prototype.clear=function(b){return b+" 0ms "+a.options.animationTimingFunc},new c},q=function(a,b){function c(){this.axes={x:0,y:0,z:0}}return c.prototype.get=function(){var b=a.track[0].styles.transform.replace(/[^0-9\-.,]/g,"").split(",");return parseInt(b[12]||b[4])},c.prototype.set=function(a,b){return this.axes[a]=parseInt(b),"translate3d("+-1*this.axes.x+"px, "+this.axes.y+"px, "+this.axes.z+"px)"},new c},r=function(b,c){var d={autoplay:4e3,type:"carousel",startAt:1,hoverpause:!0,keyboard:!0,touchDistance:80,dragDistance:120,animationDuration:400,animationTimingFunc:"cubic-bezier(0.165, 0.840, 0.440, 1.000)",throttle:16,autoheight:!1,classes:{base:"glide",wrapper:"glide__wrapper",track:"glide__track",slide:"glide__slide",arrows:"glide__arrows",arrow:"glide__arrow",arrowNext:"next",arrowPrev:"prev",bullets:"glide__bullets",bullet:"glide__bullet",active:"active",dragging:"dragging",disabled:"disabled"},beforeInit:function(a){},afterInit:function(a){},beforeTransition:function(a,b){},afterTransition:function(a,b){}};this.options=a.extend({},d,c),this.current=parseInt(this.options.startAt),this.element=b,this.collect(),this.setup(),this.options.beforeInit(this.slider);var r=new j(this,{Helper:m,Translate:q,Transition:p,Events:k,Arrows:g,Bullets:i,Height:l,Run:n,Build:h,Animation:e,Touch:o,Api:f});return this.options.afterInit(this.slider),r.Api.instance()};r.prototype.collect=function(){this.slider=this.element.addClass(this.options.classes.base+"--"+this.options.type),this.track=this.slider.find("."+this.options.classes.track),this.wrapper=this.slider.find("."+this.options.classes.wrapper),this.slides=this.wrapper.find("."+this.options.classes.slide),this.clones=[this.slides.filter(":first-child").clone().addClass("clone"),this.slides.filter(":last-child").clone().addClass("clone")]},r.prototype.setup=function(){this.width=this.slider.width(),this.length=this.slides.length},a.fn.glide=function(b){return this.each(function(){a.data(this,"glide_api")||a.data(this,"glide_api",new r(a(this),b))})}}(jQuery,window,document);
//# sourceMappingURL=glide.min.js.map